Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.query
Interface Index

All Superinterfaces:
  Index, java.rmi.Remote

    public interface Index

extends Index

Field Summary
`static java.lang.String` | `CLASS_NAME_SUFFIX`
`static java.lang.String` | `CREATION_TIMESTAMP_FILENAME` The name of the file that represents the creation timestamp of the the index
`static java.lang.String` | `LAST_MODIFICATION_DATE_FILENAME` The name of the file that represents the last modification timestamp of the index

Method Summary
`Field` | `getDefaultField()`
`Field` | `getField(java.lang.String name)`
`QueryParser` | `getQueryParser()`
`org.apache.lucene.search.Searchable` | `getSearcher()`

Field Detail

### CLASS_NAME_SUFFIX

    static final java.lang.String CLASS_NAME_SUFFIX

See Also:
  Constant Field Values

### LAST_MODIFICATION_DATE_FILENAME

    static final java.lang.String LAST_MODIFICATION_DATE_FILENAME

  The name of the file that represents the last modification timestamp of the index

  See Also:
    Constant Field Values

### CREATION_TIMESTAMP_FILENAME

    static final java.lang.String CREATION_TIMESTAMP_FILENAME

  The name of the file that represents the creation timestamp of the the index

  See Also:
    Constant Field Values

Method Detail

### getSearcher

    org.apache.lucene.search.Searchable getSearcher()
                                                    throws java.io.IOException,
                                                           SDXException

  Throws:
    `java.io.IOException`
    `SDXException`

### getField

    Field getField(java.lang.String name)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDefaultField

    Field getDefaultField()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getQueryParser

    QueryParser getQueryParser()
                               throws java.io.IOException,
                                      SDXException

  Throws:
    `java.io.IOException`
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.